/*****************************************************************************
*
*    Copyright (C) 2005 Paul Dwerryhouse
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; version 2 of the License.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*****************************************************************************/

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "conf.h"

/* This needs to be improved considerably, but I can't be bothered at the
 * moment. */

struct conf *readconf(const char *file)
{
    FILE *fp;
    struct conf *c;
    char buf[4096];

    c = (struct conf *) malloc(sizeof(struct conf));

    fp = fopen(file, "r");

    while (fgets(buf, 8192, fp)) {
	if (!strncmp(buf, "addr1", 5)) {
	    c->addr[0] = inet_addr(buf + 6);
	}

	else if (!strncmp(buf, "addr2", 5)) {
	    c->addr[1] = inet_addr(buf + 6);
	}

	else if (!strncmp(buf, "port1", 5)) {
	    c->port[0] = atoi(buf + 6);
	}

	else if (!strncmp(buf, "port2", 5)) {
	    c->port[1] = atoi(buf + 6);
	}

    }

    fclose(fp);

    return c;
}
